# pqxx::basic_robusttransaction Class Reference
[Transaction classes]

`#include <robusttransaction.hxx>`

Inheritance diagram for pqxx::basic_robusttransaction:

[legend]

List of all members.

## Public Types
typedef isolation_traits < read_committed > | isolation_tag
| Isolation level is read_committed by default.
## Public Member Functions
virtual | ~basic_robusttransaction ()=0
## Protected Member Functions
| basic_robusttransaction (connection_base &C, const std::string &IsolationLevel)

## Member Typedef Documentation

typedef isolation_traits<read_committed> pqxx::basic_robusttransaction::isolation_tag

Isolation level is read_committed by default.

Reimplemented from pqxx::transaction_base.

Reimplemented in pqxx::robusttransaction< ISOLATIONLEVEL >.

## Constructor & Destructor Documentation

pqxx::basic_robusttransaction::~basic_robusttransaction | ( |  | ) | `[pure virtual]`

pqxx::basic_robusttransaction::basic_robusttransaction | ( | connection_base & | C,
|  | const std::string & | IsolationLevel |
| ) |  |  | `[protected]`

References pqxx::transaction_base::conn(), pqxx::oid_none, and pqxx::connection_base::username().

The documentation for this class was generated from the following files:

- robusttransaction.hxx
- robusttransaction.cxx